<?php
/*
=====================================================
 DLEFA AqayePardakht Pay Ver 1.0
-----------------------------------------------------
 Persian support site: https://dlefa.ir
-----------------------------------------------------
 FileName :  pay.php
-----------------------------------------------------
 Copyright (c) 2021, All rights reserved.
=====================================================
*/

if( !defined('DATALIFEENGINE') ) {
	header( "HTTP/1.1 403 Forbidden" );
	header ( 'Location: ../../' );
	die( "Hacking attempt!" );
}

@include ENGINE_DIR .'/modules/pay/data/data.php';

if( $action == "settings" ){
	function makeCheckBox($name, $selected) {

		$selected = $selected ? "checked" : "";
		
		return "<input class=\"switch\" type=\"checkbox\" name=\"{$name}\" value=\"1\" {$selected}>";

	}
	function showRow($title = "", $field = "") {
			
	echo "<tr>
			<td><h6>{$title}</h6></td>
			<td>{$field}</td>
		</tr>";
	}
	echoheader( "<i class=\"fa fa fa-credit-card-alt position-left\"></i><span class=\"text-semibold\">تنظیمات پلاگین پرداخت درگاه آقای پرداخت</span>", "تنظیمات پلاگین و درگاه ها");
	echo <<<HTML
<script>
<!--
    function ChangeOption(obj, selectedOption) {

        $("#navbar-filter li").removeClass('active');
        $(obj).parent().addClass('active');
        document.getElementById('general').style.display = "none";
		document.getElementById('aqayepardakht').style.display = "none";
        document.getElementById('sms').style.display = "none";
		document.getElementById(selectedOption).style.display = "";

        return false;

    }
//-->
</script>
<form action="" method="post">
<div class="navbar navbar-default navbar-component navbar-xs systemsettings">
    <ul class="nav navbar-nav visible-xs-block">
        <li class="full-width text-center"><a data-toggle="collapse" data-target="#navbar-filter" class="legitRipple"><i class="fa fa-bars"></i></a></li>
    </ul>
    <div class="navbar-collapse collapse" id="navbar-filter">
        <ul class="nav navbar-nav">
            <li class="active"><a onclick="ChangeOption(this, 'general');" class="tip legitRipple" title="" data-original-title="تنظیمات پلاگین"><i class="fa fa-cog"></i> تنظیمات پلاگین</a></li>
			<li><a onclick="ChangeOption(this, 'aqayepardakht');" class="tip legitRipple" title="" data-original-title="تنظیمات درگاه آقای پرداخت"><i class="fa fa-file-text-o"></i> تنظیمات درگاه آقای پرداخت</a></li>
            <li><a onclick="ChangeOption(this, 'sms');" class="tip legitRipple" title="" data-original-title="تنظیمات درگاه پیامک"><i class="fa fa-commenting-o"></i> تنظیمات درگاه پیامک</a></li>
        </ul>
    </div>
</div>

<div id="general" class="panel panel-flat">
	<div class="panel-body">
	تنظیمات پلاگین
	</div>
	<div class="table-responsive">
		<table class="table table-striped table-normal">
			<tbody>
				<tr>
					<td class="bg-primary text-center" colspan="2">
						<h6><i class="fa fa-cog fa-spin fa-3x fa-fw"></i><span class="sr-only">Loading...</span>این پلاگین توسط تیم همیار دیتالایف منتشر شده است. جهت سفارشی سازی از طریق لینک <a class="text-warning" href="https://dlefa.ir/feedback.html" target="_blank"><b>تماس با ما</b></a> اقدام فرمایید.</h6>
					</td>
				</tr>
				<tr>
					<td class="col-xs-5 col-sm-5 col-md-5"><h6>Title پلاگین سمت سایت</h6></td>
					<td class="col-xs-7 col-sm-7 col-md-7 settingstd"><input type="text" class="form-control width-300" name="save_con[module_title]" value="{$pay_config['module_title']}"></td>
				</tr>
				<tr>
					<td class="col-xs-5 col-sm-5 col-md-5"><h6>تعداد فیش ها در پنل مدیریت</h6></td>
					<td class="col-xs-7 col-sm-7 col-md-7 settingstd"><input type="text" class="form-control text-center width-300" name="save_con[fish_order]" value="{$pay_config['fish_order']}"></td>
				</tr>
			</tbody>
		</table>
	</div>
</div>
<div id="aqayepardakht" class="panel panel-flat" style="display:none">
	<div class="panel-body">
    تنظیمات درگاه آقای پرداخت
	</div>
	<div class="table-responsive">
		<table class="table table-striped table-normal">
			<tbody>
				<tr>
					<td class="bg-primary text-center" colspan="2">
						<h6><i class="fa fa-cog fa-spin fa-3x fa-fw"></i><span class="sr-only">Loading...</span>برای دریافت درگاه واسط آقای پرداخت به سایت <a href="https://panel.aqayepardakht.ir/invite/0b0484118dc8" class="text-warning" target="_blank"><b>آقای پرداخت</b></a> مراجعه نمایید.</h6>
					</td>
				</tr>
HTML;
					showRow( "فعال بودن درگاه آقای پرداخت", makeCheckBox( "save_con[payment_on]", "{$pay_config['payment_on']}" ) );
					echo <<<HTML
				<tr>
					<td class="col-xs-5 col-sm-5 col-md-5"><h6>پین</h6></td>
					<td class="col-xs-7 col-sm-7 col-md-7 settingstd"><input type="text" class="form-control ltr width-300" name="save_con[payment_pin]" value="{$pay_config['payment_pin']}"></td>
				</tr>
				<tr>
					<td class="col-xs-5 col-sm-5 col-md-5"><h6>شماره حساب کاربری</h6></td>
					<td class="col-xs-7 col-sm-7 col-md-7 settingstd"><input type="text" class="form-control ltr width-300" name="save_con[payment_account]" value="{$pay_config['payment_account']}"></td>
				</tr>
				<tr>
					<td class="col-xs-5 col-sm-5 col-md-5"><h6>کلید رمز نگاری</h6></td>
					<td class="col-xs-7 col-sm-7 col-md-7 settingstd"><input type="password" class="form-control ltr width-300" name="save_con[payment_code]" value="{$pay_config['payment_code']}"></td>
				</tr>
			</tbody>
		</table>
	</div>
</div>
<div id="sms" class="panel panel-flat" style="display:none">
	<div class="panel-body">
    تنظیمات درگاه پیامک
	</div>
	<div class="table-responsive">
		<table class="table table-striped table-normal">
			<tbody>
				<tr>
					<td class="bg-primary text-center" colspan="2">
						<h6><i class="fa fa-cog fa-spin fa-3x fa-fw"></i><span class="sr-only">Loading...</span>برای دریافت پنل پیامک به سایت <a class="text-warning" href="http://sms.dlesms.ir/register.jspd" target="_blank"><b>DLESMS.ir</b></a> مراجعه نمایید.</h6>
					</td>
				</tr>
HTML;
					showRow( "فعال بودن ارسال پیامک", makeCheckBox( "save_con[sms_on]", "{$pay_config['sms_on']}" ) );
					echo <<<HTML
				<tr>
					<td class="col-xs-5 col-sm-5 col-md-5"><h6>نام کاربری</h6></td>
					<td class="col-xs-7 col-sm-7 col-md-7 settingstd"><input type="text" class="form-control ltr width-300" name="save_con[sms_uname]" value="{$pay_config['sms_uname']}"></td>
				</tr>
				<tr>
					<td class="col-xs-5 col-sm-5 col-md-5"><h6>کلمه عبور</h6></td>
					<td class="col-xs-7 col-sm-7 col-md-7 settingstd"><input type="password" class="form-control ltr width-300" name="save_con[sms_pass]" value="{$pay_config['sms_pass']}"></td>
				</tr>
				<tr>
					<td class="col-xs-5 col-sm-5 col-md-5"><h6>شماره اختصاصی پیامک</h6></td>
					<td class="col-xs-7 col-sm-7 col-md-7 settingstd"><input type="text" class="form-control ltr width-300" name="save_con[sms_from]" value="{$pay_config['sms_from']}"></td>
				</tr>
				<tr>
					<td class="col-xs-5 col-sm-5 col-md-5"><h6>متن پیامک کاربران</h6></td>
					<td class="col-xs-7 col-sm-7 col-md-7 settingstd">
					<textarea name="save_con[sms_text]" class="classic" style="width:100%;height:100px;">{$pay_config['sms_text']}</textarea></td>
				</tr>
HTML;
					showRow( "فعال بودن ارسال پیامک به مدیر", makeCheckBox( "save_con[sms_admin_on]", "{$pay_config['sms_admin_on']}" ) );
					echo <<<HTML
				<tr>
				<tr>
					<td class="col-xs-5 col-sm-5 col-md-5"><h6>تلفن همراه مدیر</h6></td>
					<td class="col-xs-7 col-sm-7 col-md-7 settingstd"><input type="text" class="form-control ltr width-300" name="save_con[sms_admin]" value="{$pay_config['sms_admin']}"></td>
				</tr>
					<td class="col-xs-5 col-sm-5 col-md-5"><h6>متن پیامک مدیریت</h6></td>
					<td class="col-xs-7 col-sm-7 col-md-7 settingstd">
					<textarea name="save_con[admin_text]" class="classic" style="width:100%;height:100px;">{$pay_config['admin_text']}</textarea></td>
				</tr>
			</tbody>
		</table>
	</div>
</div>

<div style="margin-bottom:30px;">
	<input type="hidden" name="mod" value="pay">
	<input type="hidden" name="action" value="save">
	<input type="hidden" name="doaction" value="save">
	<button type="submit" class="btn bg-teal btn-raised position-left legitRipple"><i class="fa fa-floppy-o position-left"></i>ذخیره</button>
</div>
</form>
HTML;
	echofooter();

} elseif( $action == "save" AND isset( $_POST['doaction'] ) ){
	$data = $_POST['save_con'];
	$save = fopen(ENGINE_DIR . '/modules/pay/data/data.php', "w");
    fwrite($save, "<?PHP\r\n// DLEFA Pay Gateways Configurations\r\n\$pay_config = array (\r\n");
    foreach ($data as $name => $value) {
        $value = str_replace("$", "&#036;", $value);
        $value = str_replace("{", "&#123;", $value);
        $value = str_replace("}", "&#125;", $value);
        $value = str_replace(chr(0), "", $value);
        $value = str_replace(chr(92), "", $value);
        $value = str_ireplace("base64_decode", "base64_dec&#111;de", $value);
        $name  = str_replace("$", "&#036;", $name);
        $name  = str_replace("{", "&#123;", $name);
        $name  = str_replace("}", "&#125;", $name);
        $name  = str_replace(chr(0), "", $name);
        $name  = str_replace(chr(92), "", $name);
        $name  = str_replace('(', "", $name);
        $name  = str_replace(')', "", $name);
        $name  = str_ireplace("base64_decode", "base64_dec&#111;de", $name);
        fwrite($save, "'{$name}' => '{$value}',\r\n");
    }
    fwrite($save, ");\r\n?>");
    fclose($save);
    msg("success", "ذخیره تغییرات درگاه های پرداختی", "تغییرات با موفقیت ذخیره شدند.", "?mod=pay");

} elseif( $action == "remove" AND $_GET['id'] != "" ){

	$chk = $db->super_query("SELECT id FROM " . PREFIX . "_pay_invoices WHERE id='{$_GET['id']}'");
	if( $chk ){
		$db->query("DELETE FROM " . PREFIX . "_pay_invoices WHERE id='{$chk['id']}'");
		msg('success', 'پیام', 'سند پرداختی مورد نظر با موفقیت از سیستم حذف گردید.', "?mod=pay");
	}else
		msg('warning', 'پیام', 'سند پرداختی مورد نظر در سیستم یافت نشد.', "?mod=pay");

} else {

$start_from = isset($_REQUEST['start_from']) ? intval( $_REQUEST['start_from'] ) : 0;
$news_per_page = $pay_config['fish_order'];

if( $start_from < 0 ) $start_from = 0;

$List = $db->query("SELECT * FROM " . PREFIX . "_pay_invoices ORDER BY id DESC LIMIT {$start_from},{$news_per_page}");

if( $db->num_rows($List) > 0 ){
	
	$item = '';
	$total = 0;
	$i = $start_from;
	while( $row = $db->get_row($List) ){
		$i++;
		if( $row['user_id'] ){
			$user = $db->super_query("SELECT name, fullname FROM " . PREFIX . "_users WHERE user_id='{$row['user_id']}'");
			$name = ( $user['fullname'] != "" ) ? $user['fullname'] : $user['name'];
		}else
			$name = $row['name'];

		if ( $row['status'] ) $total += $row['amount'];
		
		$row['amount'] = number_format($row['amount']);
		$row['date'] = jdate('Y/m/d', $row['date']);
		if( $row['status'] == "" ) $row['status'] = "عملیات ناموفق";
		if ( $row['tracking_number'] ) $tracking_number = $row['tracking_number'];
		else $tracking_number = '---';
		$status = (intval($row['status']) ? "<i style='color: #04dd24;' class='fa tip fa-check' data-original-title='پرداخت شده'></i>" : "<i style='color: #dd293c;' class='fa tip fa-remove' data-original-title='پرداخت نشده'></i>");
		$item .= <<<HTML
	<tr>
		<td class="text-center">{$i}</td>
		<td class="text-center">{$name}</td>
		<td class="text-center">{$row['mob']}</td>
		<td class="text-center">{$row['amount']} تومان</td>
		<td class="text-center">{$tracking_number}</td>
		<td class="text-center">{$status}</td>
		<td class="text-center">{$row['message']}</td>
		<td class="text-center">{$row['date']}</td>
		<td class="text-center">{$row['ip']}</td>
		<td class="text-center">
			<a href="?mod=pay&action=remove&id={$row['id']}" onclick="javascript:Premove('{$row['id']}'); return(false);"><i class="fa fa-remove fa-2x tip" style="color:red" data-original-title="حذف"></i></a>
		</td>
	</tr>
HTML;
		
	}
	
	$content = <<<HTML
  <div class="table-responsive">
    <table class="table table-striped table-xs">
      <thead>
      <tr>
        <th class="text-center" style="width: 1%">ردیف</th>
        <th class="text-center" style="width: 15%">نام و نام خانوادگی</th>
		<th class="text-center" style="width: 5%">موبایل</th>
		<th class="text-center" style="width: 8%">مبلغ پرداختی</th>
		<th class="text-center" style="width: 10%">شماره پیگیری</td>
		<th class="text-center" style="width: 10%">وضعیت پرداخت</td>
		<th class="text-center" style="width: 35%">پیام</td>
		<th class="text-center" style="width: 5%">تاریخ</th>
		<th class="text-center" style="width: 10%">IP</th>
		<th class="text-center" style="width: 1%">عملیات</td>
      </tr>
      </thead>
	  <tbody>
		{$item}
	  </tbody>
	</table>
  </div>
HTML;
} else {
	$content = "<div class=\"panel-body\"><table width=\"100%\">
		    <tr>
		        <td height=\"100\" class=\"text-center\">--هیچ سندی ثبت نشده است.--</td>
		    </tr>
		</table></div>";
}

echoheader( "<i class=\"fa fa-money position-left\"></i><span class=\"text-semibold\">پرداخت درگاه آقای پرداخت</span>", "مدیریت پرداخت درگاه آقای پرداخت");

$result_count = $db->super_query("SELECT COUNT(*) as count FROM " . PREFIX . "_pay_invoices");
$all_count_news = $result_count['count'];

// pagination
$npp_nav = "";

if( $all_count_news > $news_per_page ) {

	if( $start_from > 0 ) {
		$previous = $start_from - $news_per_page;
		$npp_nav .= "<li><a onclick=\"javascript:search_submit($previous); return(false);\" href=\"#\" title=\"{$lang['edit_prev']}\">&lt;&lt;</a></li>";
	}

	$enpages_count = @ceil( $all_count_news / $news_per_page );
	$enpages_start_from = 0;
	$enpages = "";
	
	if( $enpages_count <= 10 ) {
		
		for($j = 1; $j <= $enpages_count; $j ++) {
			
			if( $enpages_start_from != $start_from ) {
				
				$enpages .= "<li><a onclick=\"javascript:search_submit($enpages_start_from); return(false);\" href=\"#\">$j</a></li>";
			
			} else {
				
				$enpages .= "<li class=\"active\"><span>$j</span></li>";
			}
			
			$enpages_start_from += $news_per_page;
		}
		
		$npp_nav .= $enpages;
	
	} else {
		
		$start = 1;
		$end = 10;
		
		if( $start_from > 0 ) {
			
			if( ($start_from / $news_per_page) > 4 ) {
				
				$start = @ceil( $start_from / $news_per_page ) - 3;
				$end = $start + 9;
				
				if( $end > $enpages_count ) {
					$start = $enpages_count - 10;
					$end = $enpages_count - 1;
				}
				
				$enpages_start_from = ($start - 1) * $news_per_page;
			
			}
		
		}
		
		if( $start > 2 ) {
			
			$enpages .= "<li><a onclick=\"javascript:search_submit(0); return(false);\" href=\"#\">1</a></li> <li><span>...</span></li>";
		
		}
		
		for($j = $start; $j <= $end; $j ++) {
			
			if( $enpages_start_from != $start_from ) {
				
				$enpages .= "<li><a onclick=\"javascript:search_submit($enpages_start_from); return(false);\" href=\"#\">$j</a></li>";
			
			} else {
				
				$enpages .= "<li class=\"active\"><span>$j</span></li>";
			}
			
			$enpages_start_from += $news_per_page;
		}
		
		$enpages_start_from = ($enpages_count - 1) * $news_per_page;
		$enpages .= "<li><span>...</span></li><li><a onclick=\"javascript:search_submit($enpages_start_from); return(false);\" href=\"#\">$enpages_count</a></li>";
		
		$npp_nav .= $enpages;
	
	}

	if( $all_count_news > $i ) {
		$how_next = $all_count_news - $i;
		if( $how_next > $news_per_page ) {
			$how_next = $news_per_page;
		}
		$npp_nav .= "<li><a onclick=\"javascript:search_submit($i); return(false);\" href=\"#\" title=\"{$lang['edit_next']}\">&gt;&gt;</a></li>";
	}
	
	$npp_nav = "<ul class=\"pagination pagination-sm\">".$npp_nav."</ul>";

}
// pagination

$credit = file_get_contents("https://panel.aqayepardakht.ir/api/getmoney/?account={$pay_config['payment_account']}&code={$pay_config['payment_code']}");
$credit = number_format($credit);
$total = number_format($total);
echo <<<HTML
<script>
function Premove(id){
	DLEconfirm( 'آیا شما از حذف این فیش مطمئن هستید؟', 'پیام', function () {
			document.location='?mod=pay&action=remove&id=' + id;
	});	
}
function search_submit(prm){
	document.navi.start_from.value=prm;
	document.navi.submit();
	return false;
}
</script>
<form action="?mod=pay" method="get" name="navi" id="navi">
<input type="hidden" name="mod" value="pay">
<input type="hidden" name="start_from" id="start_from" value="{$start_from}">
	<div class="panel panel-default">
	  <div class="panel-heading">
		لیست فیش های بانکی
		<div class="heading-elements">
			<ul class="icons-list">
				<li><a href="?mod=pay&action=settings"><i class="fa fa-cogs position-left"></i>تنظیمات</a></li>
			</ul>
		</div>
	  </div>
	  {$content}
	  <div class="panel-footer">
	  	<div class="pull-right">
		  موجودی آقای پرداخت: {$credit} تومان
		</div>
		<div class="pull-left">
		مجموع واریزی: {$total} تومان
		</div>
	  </div>
	</div>
	{$npp_nav}
HTML;
echofooter();
}

?>