<?php
/*
=====================================================
 DLEFA AqayePardakht Pay Ver 1.0
-----------------------------------------------------
 Persian support site: https://dlefa.ir
-----------------------------------------------------
 FileName :  result.php
-----------------------------------------------------
 Copyright (c) 2021, All rights reserved.
=====================================================
*/

if( !defined('DATALIFEENGINE') ) {
	header( "HTTP/1.1 403 Forbidden" );
	header ( 'Location: ../../' );
	die( "Hacking attempt!" );
}

require_once ENGINE_DIR . '/modules/pay/data/data.php';
$module_title = $pay_config['module_title'];

if ( isset( $_POST['transid'] )) {

	$transid = $db->safesql( $_POST['transid'] );
	$invoice_id = $db->safesql( $_GET['invoice_id'] );

	$invoice = $db->super_query("SELECT amount, mob FROM " . PREFIX . "_pay_invoices WHERE transactionid='{$transid}' AND invoice_id='{$invoice_id}'");
	if( $invoice ){

		$amount = $invoice['amount'];

		require_once ENGINE_DIR . '/modules/pay/gateway/aqayepardakht.php';
		$result = Verify($pay_config['payment_pin'] , $amount, $transid);
		if( $result['status'] == 1 ){
			$refid = $_POST['tracking_number'];
			$db->query("UPDATE " . PREFIX . "_pay_invoices SET `tracking_number` = '{$refid}', `cardnumber` = '{$_POST['cardnumber']}', `status`='1' WHERE invoice_id='{$invoice_id}'");

			if ($pay_config['sms_on']){
				$sms_text = str_replace('%pay_code%', $refid, $pay_config['sms_text']);
				send_sms ($sms_text, $invoice['mob']);
				if ($pay_config['sms_admin_on']){
					send_sms ($pay_config['admin_text'], $pay_config['sms_admin']);
				}
			}
	
			$tpl->load_template('pay/result.tpl');
	
			$tpl->set('{msg}', "پرداخت با موفقیت انجام شد.");
			$tpl->set('{amount}', number_format( $amount ));
			$tpl->set('{pcode}', $refid);

		} else {

			$db->query("UPDATE " . PREFIX . "_pay_invoices SET `tracking_number` = '{$_POST['tracking_number']}', `status`='0' WHERE invoice_id='{$invoice_id}'");

			$tpl->load_template('pay/error.tpl');
			$msg = 'تراکنش پرداخت نشده است!';
			$tpl->set('{msg}', $msg);

		}

	} else {
		
		$tpl->load_template('pay/error.tpl');
		$msg = "فیش پرداختی در سیستم یافت نشد.";
		$tpl->set('{msg}', $msg);
	}

} else {

	$tpl->load_template('pay/error.tpl');
	$msg = "عملیات پرداخت به درستی انجام نشد!";
	$tpl->set('{msg}', $msg);

}

$tpl->compile('content');
$tpl->clear();
?>